<?php
declare(strict_types=1);

namespace App\Test\TestCase\Model\Table;

use App\Model\Table\HistoriasClinicasTable;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\HistoriasClinicasTable Test Case
 */
class HistoriasClinicasTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \App\Model\Table\HistoriasClinicasTable
     */
    protected $HistoriasClinicas;

    /**
     * Fixtures
     *
     * @var list<string>
     */
    protected array $fixtures = [
        'app.HistoriasClinicas',
        'app.Pacientes',
        'app.Documentos',
        'app.Consultas',
        'app.ExamenesFisicos',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('HistoriasClinicas') ? [] : ['className' => HistoriasClinicasTable::class];
        $this->HistoriasClinicas = $this->getTableLocator()->get('HistoriasClinicas', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->HistoriasClinicas);

        parent::tearDown();
    }

    /**
     * Test validationDefault method
     *
     * @return void
     * @uses \App\Model\Table\HistoriasClinicasTable::validationDefault()
     */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test buildRules method
     *
     * @return void
     * @uses \App\Model\Table\HistoriasClinicasTable::buildRules()
     */
    public function testBuildRules(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
